using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SASDesktop
{
    /// <summary>
    /// Класс показывает предупреждения и вопросы через MessageBox
    /// </summary>
    class Popups
    {
        public static void ShowErrors(List<string> errors)
        {
            StringBuilder errorMessage = new StringBuilder();

            errorMessage.AppendLine("Возникли ошибки при выполнении действия");
            errorMessage.Append(String.Join(";\n", errors));
            errorMessage.Append(".");

             MessageBox.Show(
                 errorMessage.ToString(), 
                 "Ошибки",
                 MessageBoxButton.OK, 
                 MessageBoxImage.Error
             );
        }

        /// <summary>
        /// Показывает MessageBox, описывая необходимость подтверждения действия
        /// </summary>
        /// <param name="message">
        /// Действие, которое подтверждается. 
        /// Должно быть в неопределённой форме, например "удалить Диму"
        /// </param>
        /// <returns></returns>
        public static bool Confirm(string message)
        {
            var response = MessageBox.Show(
                "Вы действительно хотите " + message + "?",
                "Подтвердите действие",
                MessageBoxButton.YesNo,
                MessageBoxImage.Question
            );
            return response == MessageBoxResult.Yes;
        }
    }
}
